Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.delegate
Class ClientConnectionDelegate

    java.lang.Object
      org.jboss.jms.client.delegate.DelegateSupport
          org.jboss.jms.client.delegate.ClientConnectionDelegate

All Implemented Interfaces:
  Closeable, ConnectionDelegate, ConnectionEndpoint, java.io.Serializable

public class ClientConnectionDelegate
extends DelegateSupport
implements ConnectionDelegate

The client-side Connection delegate class.

Version:
  `$Revision: 1.13 $` $Id: ClientConnectionDelegate.java,v 1.13 2006/05/23 18:25:07 ovidiu Exp $
Author:
  Tim Fox, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.jms.client.delegate.DelegateSupport
`id, state`

Constructor Summary
`ClientConnectionDelegate()`
`ClientConnectionDelegate(int objectID)`

Method Summary
`void` | `close()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `closing()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`JBossConnectionConsumer` | `createConnectionConsumer(Destination dest, java.lang.String subscriptionName, java.lang.String messageSelector, ServerSessionPool sessionPool, int maxMessages)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`SessionDelegate` | `createSessionDelegate(boolean transacted, int acknowledgmentMode, boolean isXA)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`protected Client` | `getClient()`
`java.lang.String` | `getClientID()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`ConnectionMetaData` | `getConnectionMetaData()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`ExceptionListener` | `getExceptionListener()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`javax.transaction.xa.Xid[]` | `getPreparedTransactions()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`JMSRemotingConnection` | `getRemotingConnection()`
`void` | `sendTransaction(TransactionRequest request)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setClientID(java.lang.String id)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setExceptionListener(ExceptionListener listener)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setRemotingConnection(JMSRemotingConnection conn)`
`void` | `start()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `stop()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.jms.client.delegate.DelegateSupport
`getID, getMetaData, getName, getState, init, invoke, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientConnectionDelegate

    public ClientConnectionDelegate(int objectID)

### ClientConnectionDelegate

    public ClientConnectionDelegate()

Method Detail

### close

    public void close()
               throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### createConnectionConsumer

    public JBossConnectionConsumer createConnectionConsumer(Destination dest,
                                                            java.lang.String subscriptionName,
                                                            java.lang.String messageSelector,
                                                            ServerSessionPool sessionPool,
                                                            int maxMessages)
                                                     throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createConnectionConsumer` in interface `ConnectionDelegate`
  Throws:
    `JMSException`

### createSessionDelegate

    public SessionDelegate createSessionDelegate(boolean transacted,
                                                 int acknowledgmentMode,
                                                 boolean isXA)
                                          throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createSessionDelegate` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### getClientID

    public java.lang.String getClientID()
                                 throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getClientID` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### getConnectionMetaData

    public ConnectionMetaData getConnectionMetaData()
                                             throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getConnectionMetaData` in interface `ConnectionDelegate`
  Throws:
    `JMSException`

### getExceptionListener

    public ExceptionListener getExceptionListener()
                                           throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getExceptionListener` in interface `ConnectionDelegate`
  Throws:
    `JMSException`

### sendTransaction

    public void sendTransaction(TransactionRequest request)
                         throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `sendTransaction` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### setClientID

    public void setClientID(java.lang.String id)
                     throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `setClientID` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### setExceptionListener

    public void setExceptionListener(ExceptionListener listener)
                              throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `setExceptionListener` in interface `ConnectionDelegate`
  Throws:
    `JMSException`

### start

    public void start()
               throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `start` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `stop` in interface `ConnectionEndpoint`
  Throws:
    `JMSException`

### getPreparedTransactions

    public javax.transaction.xa.Xid[] getPreparedTransactions()

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getPreparedTransactions` in interface `ConnectionEndpoint`

### toString

    public java.lang.String toString()

### setRemotingConnection

    public void setRemotingConnection(JMSRemotingConnection conn)

### getRemotingConnection

    public JMSRemotingConnection getRemotingConnection()

### getClient

    protected Client getClient()

  Specified by:
    `getClient` in class `DelegateSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.